function popEnterPanel()
{
	var enterPanel = document.getElementById ('enterPanel')
	if (enterPanel)
	{
		enterPanel.style.visibility = enterPanel.style.visibility != 'visible' ? 'visible' : 'hidden'

		var loginField = document.getElementById ('loginField');
		if (loginField) if (loginField.focus) loginField.focus();

		return false
	}
	return true
}

function toggleInfoPanel (action)
{
	var infoPanel = document.getElementById ('info-panel')
	var infoPanelTicker = document.getElementById ('info-panel-ticker')
	var infoPanelTransfer = document.getElementById ('info-panel-transfer')

	if (infoPanel && infoPanelTicker && infoPanelTransfer)
	{
		var date = new Date()
		var temp = date.getTime()
		if (action == 'open')
		{
			infoPanel.style.position = ''
			infoPanel.style.visibility = 'visible'
			infoPanelTicker.style.visibility = 'hidden'
			infoPanelTransfer.src = '/user/panel/transfer/open/?t=' + temp

		}
		else
		{
			infoPanel.style.visibility = 'hidden'
			infoPanelTicker.style.visibility = 'visible'
			infoPanel.style.position = 'absolute'
			infoPanelTransfer.src = '/user/panel/transfer/close/?t=' + temp
		}
	}

	return false;
}

var currentSelection = '';
var senderName = '';

function getSelectedText()
{
	if (document.getSelection) currentSelection = document.getSelection();
	else if (document.selection && document.selection.createRange) currentSelection = document.selection.createRange().text;

	
}

function quoteSelection()
{
	if (currentSelection != '')
	{
		var whereTo = document.getElementById ('newText');
		if (whereTo)
		{
			if (whereTo.value != '') whereTo.value += "\n";
			whereTo.value += "<b>" + senderName + "</b>: <i>" + currentSelection + "</i>\n";
		}
	}
	return false;
}

function toggleSelectionLink (who)
{
	senderName = who;		
	var para = document.getElementById ('quoteLinkPara');
	if (para)
	{
		if (who)
		{
			getSelectedText();
		}
		else
		{
			currentSelection = '';
		}
		if (para) para.className = currentSelection != '' ? "quotelink" : "quotelink-hidden";
	}	
}

//if (window.navigator && window.navigator.appName) document.onmouseup = toggleSelectionLink;

function ReallyReadAll()
{
	return window.confirm ('   ?', 'l');
}

function ToggleUploadedFiles()
{
	var UploadedFiles = document.getElementById ('UploadedFiles');
	if (!UploadedFiles) return;

	UploadedFiles.className = UploadedFiles.className == 'visible' ? 'invisible' : 'visible';
}

function TogglePagesList() {
	var allpages = document.getElementById('allpages');
	var neighbouringpages = document.getElementById('neighbouringpages');
	if (!allpages || ! neighbouringpages) return;
	if (allpages.style.display != 'none') {
		allpages.style.display = 'none';
		neighbouringpages.style.display = 'block';
	}
	else {
		allpages.style.display = 'block';
		neighbouringpages.style.display = 'none';
	}
}
